Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02048 Sound Minor Always Jul 26, 2008, 17:20 20 days ago
Tester cibomatto2002 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Confirmed Driver namcos2.cpp
Version 0.126 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 02048: marvlandup: [possible] Compared to the Japan Version of the game the music sounds wrong.
Description I never played the game at the Arcades before but compared to the Japan Version of the game the music sounds wrong.
Steps To Reproduce
Additional Information marvland -> marvlandup, marvlandj -> marvland in 0.236
Github Commit
Flags Possible
Regression Version
Affected Sets / Systems marvlandup
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.01814
Tafoid
Administrator
Jul 26, 2008, 17:46
It's very possible the differences were really there in the arcades. Given the way MAME works, I don't think there can be a such a difference between audio that much if it were not explicitly coded into the game. Wikipedia has some observations between Japanese and US version - they all seem valid. So many differences lends some validity to the fact that the music was intended to be like this: http://en.wikipedia.org/wiki/Marvel_Land#Arcade_Versions

I'll confirm pending some input from Devs in the know - I am leaning towards this not being an actual bug.
User avatar
No.02883
Phil Bennett
Developer
Oct 18, 2008, 22:04
I'm pretty sure something is wrong here.

Loading the sound ROM in a different arrangement produces sound and music almost identical to the Japanese version.

We need somebody with an original PCB to verify this.
User avatar
No.11771
system11
Senior Tester
Jun 19, 2015, 22:05
edited on: Jun 19, 2015, 22:06
I'm nearly 100% sure this is an incorrect dump or an incorrect loading, do we know who supplied the original dumps for this one?
User avatar
No.11778
Stiletto
Administrator
Jun 19, 2015, 23:18
edited on: Jun 19, 2015, 23:21
Took some digging, but: Yasuhiro Ogawa uploaded the Marvel Land (US) back on January 1st, 2000 (verified). Because he was often cooperating with/was part of Team Japump, he may not have been the dumper per se.
User avatar
No.19285
MetalGod
Senior Tester
21 days ago
Mameinfo has been updated with this (0.236 WIP) :

- Marvel Land: Made clone Marvel Land (Japan) the parent, the US prototype is an earlier incomplete build, it ends abruptly, lacks any end credits, and is missing many of the levels plus various other incomplete elements, see https://tcrf.net/Marvel_Land_(Arcade)

BTANB ?
User avatar
No.19288
hap
Developer
20 days ago
Nope, still needs verification. All that research is done with emulation.